"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDestroyer = void 0;
var rxjs_1 = require("rxjs");
// returns a pair [callback, subject] that help with handling destruction
function createDestroyer() {
    var destroy$ = new rxjs_1.ReplaySubject(1);
    var destroy = function () {
        destroy$.next(void 0);
        destroy$.complete();
    };
    return [destroy, destroy$.asObservable()];
}
exports.createDestroyer = createDestroyer;
