import { Observable, Subscription } from 'rxjs';
import { IComponent } from '../component';
import { IChild } from '../IChild';
import { IArrayChildrenRenderElements } from './Array';
import { ITextRenderElement } from './Leaf';
import { IHTMLRenderElement } from './Static';
export declare type ICompiledComponent = ITextRenderElement | IHTMLRenderElement | IArrayChildrenRenderElements;
export declare const render: (definition: IChild, target: HTMLElement) => Subscription;
export declare function renderComponent(component: IComponent, xmlns: string): Observable<ICompiledComponent>;
//# sourceMappingURL=index.d.ts.map