"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLeafComponent = void 0;
var tslib_1 = require("tslib");
var rxjs_1 = require("rxjs");
var operators_1 = require("rxjs/operators");
var destroyer_1 = require("../../helpers/destroyer");
var helpers_1 = require("./helpers");
function createLeafComponent(child) {
    var update$ = new rxjs_1.ReplaySubject(1);
    var _a = tslib_1.__read(destroyer_1.createDestroyer(), 2), destroy = _a[0], destroy$ = _a[1];
    var render$ = update$.pipe(operators_1.takeUntil(destroy$));
    return {
        type: helpers_1.ComponentType.leaf,
        data: child,
        // lifecycle
        update$: update$,
        destroy: destroy,
        // out
        render$: render$,
    };
}
exports.createLeafComponent = createLeafComponent;
