import { __read } from "tslib";
import { ReplaySubject } from 'rxjs';
import { takeUntil } from 'rxjs/operators';
import { createDestroyer } from '../../helpers/destroyer';
import { ComponentType } from './helpers';
export function createLeafComponent(child) {
    var update$ = new ReplaySubject(1);
    var _a = __read(createDestroyer(), 2), destroy = _a[0], destroy$ = _a[1];
    var render$ = update$.pipe(takeUntil(destroy$));
    return {
        type: ComponentType.leaf,
        data: child,
        // lifecycle
        update$: update$,
        destroy: destroy,
        // out
        render$: render$,
    };
}
