import { ReplaySubject } from 'rxjs';
// returns a pair [callback, subject] that help with handling destruction
export function createDestroyer() {
    var destroy$ = new ReplaySubject(1);
    var destroy = function () {
        destroy$.next(void 0);
        destroy$.complete();
    };
    return [destroy, destroy$.asObservable()];
}
