import { Observable } from 'rxjs';
import { ElementKeyType } from '../Element';
import { ComponentType } from './helpers';
import { IBasicComponent, IComponent } from './index';
interface Item {
    key: ElementKeyType;
    component: IComponent;
}
declare type Items = Item[];
export interface IArrayComponent extends IBasicComponent {
    type: ComponentType.array;
    items$: Observable<Items>;
}
export declare function createArrayComponent(): IArrayComponent;
export {};
//# sourceMappingURL=Array.d.ts.map