import { Observable, Subject } from 'rxjs';
import { IElement, IProps } from '../Element';
import { IDynamicEntry } from './dynamic-entry/DynamicEntry';
import { ComponentType } from './helpers';
import { IBasicComponent } from './index';
export interface IStaticComponent extends IBasicComponent {
    type: ComponentType.static;
    definition: IElement<string>;
    dynamicChildren: IDynamicEntry[];
    element$: Subject<HTMLElement>;
    change$: Observable<IProps>;
}
export declare const createStaticComponent: (element: IElement<string>) => IStaticComponent;
//# sourceMappingURL=Static.d.ts.map